<template>
  <span class="ModalListEdit">
    
    <b-button @click="showModal" variant="info" class='ml-2' size="sm"><font-awesome-icon icon="pen" /></b-button>

    <b-modal :ref="'m-list-edit-'+ list._id" centered :title="list.name">

      <b-form-input v-model="listName" placeholder="Change list name"></b-form-input>

      <template #modal-footer>
        <div class="w-100">
          <b-button
            variant="success"
            class="float-right ml-2"
            @click="$bvModal.hide('m-list-edit-'+ list._id); updateList();"
          >
            Save
          </b-button>
        </div>
      </template>
    </b-modal>

  </span>
</template>

<script>
import axios from 'axios';

export default {
  name: 'ModalListEdit',
  props: ['list'],
  data(){
    return {
      listName: ''
    }
  },
  methods:{
    showModal() {
      this.$refs['m-list-edit-'+ this.list._id].show()
    },
    updateList(){

      let list = {
        name: this.listName
      }

      axios.put(`${process.env.VUE_APP_URL}/lists/${this.list._id}`, list)
      .then(response => {
        console.log(response)
        this.listName = ''
        window.location.reload(false);
      })
      .catch(error => alert("error " + error))

      this.listName = ''
    }
  }
}
</script>


<style scoped>
#ModalListEdit{
}
</style>
